--[[
神兽保佑！菩萨包邮！佛祖包邮！真主阿拉包邮！代码无BUG！！！
创建作者：Administrator
创建时间：2015年1月23日21时18分8秒
感谢使用：更鸟游戏
]]
------------------------------------------
function 系统配置(t)
    t.title = "设置动画循环模式和直板循环地图 20150122"				-- 文本型	窗口标题
    t.window.width = 640			-- 数值型	宽度
    t.window.height = 480			-- 数值型	高度
    t.window.msaa = 0					-- 数值型	抗锯齿数
    t.window.vsync =			true		-- 逻辑型	垂直同步
    t.window.borderless = false		-- 逻辑型	无边框
    t.window.resizable =	false		-- 逻辑型	可调节大小
    t.window.highdpi =		false		-- 逻辑型	高清模式显示，土豪专用
    t.window.srgb =				true		-- 逻辑型	伽马修正
    t.window.fullscreen =	false		-- 逻辑型	全屏
    t.window.fullscreentype = "exclusive"	-- 文本型	全屏显示模式
		
    t.modules.joystick = 	false		-- 逻辑型	手柄
    t.modules.audio =			false		-- 逻辑型	音频
    t.modules.sound =			false		-- 逻辑型	声音流
    t.modules.physics =		false		-- 逻辑型	物理引擎
    t.modules.thread =		false		-- 逻辑型	线程系统
end
-----------头部可以intro，变量等----------



------------------------------------------
function 引擎创建()
	--置资源目录(取游戏路径())  --设置游戏目录，必有该语句！
	置资源目录(取调试目录().."Example/Win32/GameRes")
	--因为例程演示需要，设置演示资源目录，编译时务必手动更改游戏目录
	置过滤器("nearest","nearest")
	背景图片 = 创建图像("背景图片.png")
	窗口高度= 图形取高( )
	width=背景图片:getWidth()
	height=背景图片:getHeight()
	--图片坐标
	px1=400
	py1=612
	px2=400
	py2=py1-窗口高度
	
	dw=100 --图片的移动距离
	
	尾部图片 = 创建图像("尾部动画.png")
	尾部动画 = 动画:new(尾部图片,0,0,40,20,0.1,4)
	
	主角图片= 创建图像("飞机.png")
  主角动画=动画:new(主角图片,0,0,128,128,0,1,4)
	中心x,中心y=64,64

	主角 = {x=200,y=300,速度=2,方向=1}
	
	Y1 = 0
end
------------------------------------------

function 逻辑更新(dt)
	if py1<窗口高度+height/2 then    
		py1=py1+dt*dw
  else
		py1=py2-窗口高度
	end
	
	if py2<窗口高度+height/2 then
		py2=py2+dt*dw
	else
		py2=py1-窗口高度
	end
	
	主角动画:更新(dt)
	尾部动画:更新(dt)
	
	if(键盘是否按下("right")) then
		主角.方向= 1
		主角.x = 主角.x + 主角.速度
		
		if(主角.x> 610) then
			主角.x= 610
		end
		
	end

	if( 键盘是否按下("left")) then
		主角.x = 主角.x - 主角.速度
		主角.方向= -1
		if(主角.x<30) then
			主角.x=30
		end
	end
	
	
	if( 键盘是否按下("up")) then
		主角.y = 主角.y - 主角.速度
	end

	if( 键盘是否按下("down")) then
		主角.y = 主角.y + 主角.速度
		if(主角.y>450) then
			主角.y=450
		end
	end

end
------------------------------------------

function 画面显示()
	绘制(背景图片,px1,py1,0,1,1,width/2,height/2)
	绘制(背景图片,px2,py2,0,1,1,width/2,height/2)
	
	置颜色(255,255,255,255)
	主角动画:显示(主角.x,主角.y,0,0.5*主角.方向,0.5,中心x,中心y)
	
	置颜色(0,0,0,128)
	主角动画:显示(主角.x+30,主角.y-30,0,0.5*主角.方向,0.5,中心x,中心y)
	置颜色(255,255,255,255)
	
	尾部动画:显示(主角.x-10,主角.y+32,0,0.5,0.5)
end
------------------------------------------

function 键盘按下(key)

	
	
end
------------------------------------------

function 键盘放开(key)
	if key == "escape" then 事件停止() end
end
------------------------------------------

function 鼠标按下(x,y,button)
	
end
------------------------------------------

function 鼠标放开(x,y,button)
	
end
------------------------------------------

function 鼠标移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 鼠标滚轮移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 窗口尺寸变化(w,h)
		
end
------------------------------------------

function 窗口获得焦点(f)
		
end
------------------------------------------

function 窗口鼠标进入(f)
		
end
------------------------------------------

function 窗口可视状态(v)
		
end
------------------------------------------

function 线程错误消息(thread,errorstr)
		
end
------------------------------------------

function 拖放得到目录(dir)

end
------------------------------------------

function 拖放得到文件(f)

end
------------------------------------------